# Form implementation generated from reading ui file 'src/eric7/Plugins/CheckerPlugins/CodeStyleChecker/CodeStyleCheckerDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CodeStyleCheckerDialog(object):
    def setupUi(self, CodeStyleCheckerDialog):
        CodeStyleCheckerDialog.setObjectName("CodeStyleCheckerDialog")
        CodeStyleCheckerDialog.resize(800, 700)
        CodeStyleCheckerDialog.setSizeGripEnabled(True)
        self.verticalLayout_13 = QtWidgets.QVBoxLayout(CodeStyleCheckerDialog)
        self.verticalLayout_13.setObjectName("verticalLayout_13")
        self.mainWidget = QtWidgets.QTabWidget(parent=CodeStyleCheckerDialog)
        self.mainWidget.setObjectName("mainWidget")
        self.configureTab = QtWidgets.QWidget()
        self.configureTab.setObjectName("configureTab")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.configureTab)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.optionsTabWidget = QtWidgets.QTabWidget(parent=self.configureTab)
        self.optionsTabWidget.setObjectName("optionsTabWidget")
        self.globalOptionsTab = QtWidgets.QWidget()
        self.globalOptionsTab.setObjectName("globalOptionsTab")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.globalOptionsTab)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_20 = QtWidgets.QLabel(parent=self.globalOptionsTab)
        self.label_20.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_20.setObjectName("label_20")
        self.gridLayout_2.addWidget(self.label_20, 0, 0, 1, 1)
        self.categoriesList = QtWidgets.QListWidget(parent=self.globalOptionsTab)
        self.categoriesList.setObjectName("categoriesList")
        self.gridLayout_2.addWidget(self.categoriesList, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.globalOptionsTab)
        self.label_2.setObjectName("label_2")
        self.gridLayout_2.addWidget(self.label_2, 1, 0, 1, 1)
        self.excludeFilesEdit = QtWidgets.QLineEdit(parent=self.globalOptionsTab)
        self.excludeFilesEdit.setClearButtonEnabled(True)
        self.excludeFilesEdit.setObjectName("excludeFilesEdit")
        self.gridLayout_2.addWidget(self.excludeFilesEdit, 1, 1, 1, 1)
        self.label = QtWidgets.QLabel(parent=self.globalOptionsTab)
        self.label.setObjectName("label")
        self.gridLayout_2.addWidget(self.label, 2, 0, 1, 1)
        self.excludeMessagesEdit = QtWidgets.QLineEdit(parent=self.globalOptionsTab)
        self.excludeMessagesEdit.setClearButtonEnabled(True)
        self.excludeMessagesEdit.setObjectName("excludeMessagesEdit")
        self.gridLayout_2.addWidget(self.excludeMessagesEdit, 2, 1, 1, 1)
        self.excludeMessagesSelectButton = QtWidgets.QToolButton(parent=self.globalOptionsTab)
        self.excludeMessagesSelectButton.setObjectName("excludeMessagesSelectButton")
        self.gridLayout_2.addWidget(self.excludeMessagesSelectButton, 2, 2, 1, 1)
        self.label_3 = QtWidgets.QLabel(parent=self.globalOptionsTab)
        self.label_3.setObjectName("label_3")
        self.gridLayout_2.addWidget(self.label_3, 3, 0, 1, 1)
        self.includeMessagesEdit = QtWidgets.QLineEdit(parent=self.globalOptionsTab)
        self.includeMessagesEdit.setClearButtonEnabled(True)
        self.includeMessagesEdit.setObjectName("includeMessagesEdit")
        self.gridLayout_2.addWidget(self.includeMessagesEdit, 3, 1, 1, 1)
        self.includeMessagesSelectButton = QtWidgets.QToolButton(parent=self.globalOptionsTab)
        self.includeMessagesSelectButton.setObjectName("includeMessagesSelectButton")
        self.gridLayout_2.addWidget(self.includeMessagesSelectButton, 3, 2, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=self.globalOptionsTab)
        self.label_4.setObjectName("label_4")
        self.gridLayout_2.addWidget(self.label_4, 4, 0, 1, 1)
        self.fixIssuesEdit = QtWidgets.QLineEdit(parent=self.globalOptionsTab)
        self.fixIssuesEdit.setClearButtonEnabled(True)
        self.fixIssuesEdit.setObjectName("fixIssuesEdit")
        self.gridLayout_2.addWidget(self.fixIssuesEdit, 4, 1, 1, 1)
        self.fixIssuesSelectButton = QtWidgets.QToolButton(parent=self.globalOptionsTab)
        self.fixIssuesSelectButton.setObjectName("fixIssuesSelectButton")
        self.gridLayout_2.addWidget(self.fixIssuesSelectButton, 4, 2, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=self.globalOptionsTab)
        self.label_6.setObjectName("label_6")
        self.gridLayout_2.addWidget(self.label_6, 5, 0, 1, 1)
        self.noFixIssuesEdit = QtWidgets.QLineEdit(parent=self.globalOptionsTab)
        self.noFixIssuesEdit.setClearButtonEnabled(True)
        self.noFixIssuesEdit.setObjectName("noFixIssuesEdit")
        self.gridLayout_2.addWidget(self.noFixIssuesEdit, 5, 1, 1, 1)
        self.noFixIssuesSelectButton = QtWidgets.QToolButton(parent=self.globalOptionsTab)
        self.noFixIssuesSelectButton.setObjectName("noFixIssuesSelectButton")
        self.gridLayout_2.addWidget(self.noFixIssuesSelectButton, 5, 2, 1, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.repeatCheckBox = QtWidgets.QCheckBox(parent=self.globalOptionsTab)
        self.repeatCheckBox.setObjectName("repeatCheckBox")
        self.horizontalLayout.addWidget(self.repeatCheckBox)
        self.fixIssuesCheckBox = QtWidgets.QCheckBox(parent=self.globalOptionsTab)
        self.fixIssuesCheckBox.setEnabled(False)
        self.fixIssuesCheckBox.setObjectName("fixIssuesCheckBox")
        self.horizontalLayout.addWidget(self.fixIssuesCheckBox)
        self.ignoredCheckBox = QtWidgets.QCheckBox(parent=self.globalOptionsTab)
        self.ignoredCheckBox.setEnabled(False)
        self.ignoredCheckBox.setObjectName("ignoredCheckBox")
        self.horizontalLayout.addWidget(self.ignoredCheckBox)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.gridLayout_2.addLayout(self.horizontalLayout, 6, 0, 1, 3)
        spacerItem1 = QtWidgets.QSpacerItem(20, 68, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.gridLayout_2.addItem(spacerItem1, 7, 0, 1, 1)
        self.optionsTabWidget.addTab(self.globalOptionsTab, "")
        self.specificOptionsTab = QtWidgets.QWidget()
        self.specificOptionsTab.setObjectName("specificOptionsTab")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.specificOptionsTab)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.scrollArea = QtWidgets.QScrollArea(parent=self.specificOptionsTab)
        self.scrollArea.setFrameShape(QtWidgets.QFrame.Shape.NoFrame)
        self.scrollArea.setFrameShadow(QtWidgets.QFrame.Shadow.Plain)
        self.scrollArea.setVerticalScrollBarPolicy(QtCore.Qt.ScrollBarPolicy.ScrollBarAlwaysOn)
        self.scrollArea.setWidgetResizable(True)
        self.scrollArea.setObjectName("scrollArea")
        self.scrollAreaWidgetContents = QtWidgets.QWidget()
        self.scrollAreaWidgetContents.setGeometry(QtCore.QRect(0, 0, 617, 905))
        self.scrollAreaWidgetContents.setObjectName("scrollAreaWidgetContents")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.scrollAreaWidgetContents)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.groupBox = QtWidgets.QGroupBox(parent=self.scrollAreaWidgetContents)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.gridLayout_5 = QtWidgets.QGridLayout()
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_5.setObjectName("label_5")
        self.gridLayout_5.addWidget(self.label_5, 0, 0, 1, 1)
        self.lineLengthSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.lineLengthSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.lineLengthSpinBox.setMinimum(60)
        self.lineLengthSpinBox.setMaximum(119)
        self.lineLengthSpinBox.setProperty("value", 79)
        self.lineLengthSpinBox.setObjectName("lineLengthSpinBox")
        self.gridLayout_5.addWidget(self.lineLengthSpinBox, 0, 1, 1, 1)
        self.label_17 = QtWidgets.QLabel(parent=self.groupBox)
        self.label_17.setObjectName("label_17")
        self.gridLayout_5.addWidget(self.label_17, 1, 0, 1, 1)
        self.docLineLengthSpinBox = QtWidgets.QSpinBox(parent=self.groupBox)
        self.docLineLengthSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.docLineLengthSpinBox.setMinimum(60)
        self.docLineLengthSpinBox.setMaximum(119)
        self.docLineLengthSpinBox.setProperty("value", 79)
        self.docLineLengthSpinBox.setObjectName("docLineLengthSpinBox")
        self.gridLayout_5.addWidget(self.docLineLengthSpinBox, 1, 1, 1, 1)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_5.addItem(spacerItem2, 0, 2, 1, 1)
        self.verticalLayout_2.addLayout(self.gridLayout_5)
        self.groupBox_8 = QtWidgets.QGroupBox(parent=self.groupBox)
        self.groupBox_8.setObjectName("groupBox_8")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox_8)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_15 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.label_15.setObjectName("label_15")
        self.gridLayout_3.addWidget(self.label_15, 0, 0, 1, 1)
        self.blankBeforeTopLevelSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_8)
        self.blankBeforeTopLevelSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.blankBeforeTopLevelSpinBox.setMinimum(1)
        self.blankBeforeTopLevelSpinBox.setMaximum(10)
        self.blankBeforeTopLevelSpinBox.setProperty("value", 2)
        self.blankBeforeTopLevelSpinBox.setObjectName("blankBeforeTopLevelSpinBox")
        self.gridLayout_3.addWidget(self.blankBeforeTopLevelSpinBox, 0, 1, 1, 1)
        spacerItem3 = QtWidgets.QSpacerItem(153, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_3.addItem(spacerItem3, 0, 2, 1, 1)
        self.label_16 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.label_16.setObjectName("label_16")
        self.gridLayout_3.addWidget(self.label_16, 1, 0, 1, 1)
        self.blankBeforeMethodSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_8)
        self.blankBeforeMethodSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.blankBeforeMethodSpinBox.setMinimum(1)
        self.blankBeforeMethodSpinBox.setMaximum(10)
        self.blankBeforeMethodSpinBox.setProperty("value", 1)
        self.blankBeforeMethodSpinBox.setObjectName("blankBeforeMethodSpinBox")
        self.gridLayout_3.addWidget(self.blankBeforeMethodSpinBox, 1, 1, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_8)
        self.hangClosingCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.hangClosingCheckBox.setObjectName("hangClosingCheckBox")
        self.verticalLayout_2.addWidget(self.hangClosingCheckBox)
        self.verticalLayout_4.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=self.scrollAreaWidgetContents)
        self.groupBox_2.setObjectName("groupBox_2")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.groupBox_2)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_7.setObjectName("label_7")
        self.horizontalLayout_3.addWidget(self.label_7)
        self.docTypeComboBox = QtWidgets.QComboBox(parent=self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.docTypeComboBox.sizePolicy().hasHeightForWidth())
        self.docTypeComboBox.setSizePolicy(sizePolicy)
        self.docTypeComboBox.setObjectName("docTypeComboBox")
        self.horizontalLayout_3.addWidget(self.docTypeComboBox)
        self.verticalLayout_4.addWidget(self.groupBox_2)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=self.scrollAreaWidgetContents)
        self.groupBox_4.setObjectName("groupBox_4")
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout(self.groupBox_4)
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_9.setObjectName("label_9")
        self.horizontalLayout_6.addWidget(self.label_9)
        self.encodingsEdit = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.encodingsEdit.setClearButtonEnabled(True)
        self.encodingsEdit.setObjectName("encodingsEdit")
        self.horizontalLayout_6.addWidget(self.encodingsEdit)
        self.verticalLayout_4.addWidget(self.groupBox_4)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=self.scrollAreaWidgetContents)
        self.groupBox_5.setObjectName("groupBox_5")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_5)
        self.gridLayout.setObjectName("gridLayout")
        self.label_10 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 0, 0, 1, 1)
        self.copyrightFileSizeSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_5)
        self.copyrightFileSizeSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.copyrightFileSizeSpinBox.setMaximum(4096)
        self.copyrightFileSizeSpinBox.setObjectName("copyrightFileSizeSpinBox")
        self.gridLayout.addWidget(self.copyrightFileSizeSpinBox, 0, 1, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(324, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem4, 0, 2, 1, 1)
        self.label_11 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_11.setObjectName("label_11")
        self.gridLayout.addWidget(self.label_11, 1, 0, 1, 1)
        self.copyrightAuthorEdit = QtWidgets.QLineEdit(parent=self.groupBox_5)
        self.copyrightAuthorEdit.setClearButtonEnabled(True)
        self.copyrightAuthorEdit.setObjectName("copyrightAuthorEdit")
        self.gridLayout.addWidget(self.copyrightAuthorEdit, 1, 1, 1, 2)
        self.verticalLayout_4.addWidget(self.groupBox_5)
        self.groupBox_6 = QtWidgets.QGroupBox(parent=self.scrollAreaWidgetContents)
        self.groupBox_6.setObjectName("groupBox_6")
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout(self.groupBox_6)
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.label_12 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_12.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_12.setObjectName("label_12")
        self.horizontalLayout_7.addWidget(self.label_12)
        self.futuresList = QtWidgets.QListWidget(parent=self.groupBox_6)
        self.futuresList.setAlternatingRowColors(True)
        self.futuresList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.futuresList.setObjectName("futuresList")
        self.horizontalLayout_7.addWidget(self.futuresList)
        self.verticalLayout_4.addWidget(self.groupBox_6)
        self.groupBox_7 = QtWidgets.QGroupBox(parent=self.scrollAreaWidgetContents)
        self.groupBox_7.setObjectName("groupBox_7")
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout(self.groupBox_7)
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.builtinsAssignmentList = QtWidgets.QTreeWidget(parent=self.groupBox_7)
        self.builtinsAssignmentList.setAlternatingRowColors(True)
        self.builtinsAssignmentList.setRootIsDecorated(False)
        self.builtinsAssignmentList.setObjectName("builtinsAssignmentList")
        self.horizontalLayout_8.addWidget(self.builtinsAssignmentList)
        self.verticalLayout_5 = QtWidgets.QVBoxLayout()
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.addBuiltinButton = QtWidgets.QToolButton(parent=self.groupBox_7)
        self.addBuiltinButton.setText("+")
        self.addBuiltinButton.setObjectName("addBuiltinButton")
        self.verticalLayout_5.addWidget(self.addBuiltinButton)
        self.deleteBuiltinButton = QtWidgets.QToolButton(parent=self.groupBox_7)
        self.deleteBuiltinButton.setText("-")
        self.deleteBuiltinButton.setObjectName("deleteBuiltinButton")
        self.verticalLayout_5.addWidget(self.deleteBuiltinButton)
        spacerItem5 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_5.addItem(spacerItem5)
        self.horizontalLayout_8.addLayout(self.verticalLayout_5)
        self.verticalLayout_4.addWidget(self.groupBox_7)
        self.groupBox_9 = QtWidgets.QGroupBox(parent=self.scrollAreaWidgetContents)
        self.groupBox_9.setObjectName("groupBox_9")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.groupBox_9)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.aggressiveCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_9)
        self.aggressiveCheckBox.setObjectName("aggressiveCheckBox")
        self.gridLayout_8.addWidget(self.aggressiveCheckBox, 0, 0, 1, 3)
        self.label_30 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.label_30.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_30.setObjectName("label_30")
        self.gridLayout_8.addWidget(self.label_30, 1, 0, 1, 1)
        self.whitelistWidget = QtWidgets.QListWidget(parent=self.groupBox_9)
        self.whitelistWidget.setObjectName("whitelistWidget")
        self.gridLayout_8.addWidget(self.whitelistWidget, 1, 1, 1, 1)
        self.verticalLayout_6 = QtWidgets.QVBoxLayout()
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.addWhitelistButton = QtWidgets.QToolButton(parent=self.groupBox_9)
        self.addWhitelistButton.setText("+")
        self.addWhitelistButton.setObjectName("addWhitelistButton")
        self.verticalLayout_6.addWidget(self.addWhitelistButton)
        self.deleteWhitelistButton = QtWidgets.QToolButton(parent=self.groupBox_9)
        self.deleteWhitelistButton.setText("-")
        self.deleteWhitelistButton.setObjectName("deleteWhitelistButton")
        self.verticalLayout_6.addWidget(self.deleteWhitelistButton)
        spacerItem6 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_6.addItem(spacerItem6)
        self.gridLayout_8.addLayout(self.verticalLayout_6, 1, 2, 1, 1)
        self.verticalLayout_4.addWidget(self.groupBox_9)
        self.scrollArea.setWidget(self.scrollAreaWidgetContents)
        self.verticalLayout_9.addWidget(self.scrollArea)
        self.optionsTabWidget.addTab(self.specificOptionsTab, "")
        self.codeComplexityTab = QtWidgets.QWidget()
        self.codeComplexityTab.setObjectName("codeComplexityTab")
        self.verticalLayout_17 = QtWidgets.QVBoxLayout(self.codeComplexityTab)
        self.verticalLayout_17.setObjectName("verticalLayout_17")
        self.groupBox_3 = QtWidgets.QGroupBox(parent=self.codeComplexityTab)
        self.groupBox_3.setObjectName("groupBox_3")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_3)
        self.gridLayout_4.setObjectName("gridLayout_4")
        spacerItem7 = QtWidgets.QSpacerItem(313, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_4.addItem(spacerItem7, 0, 2, 2, 1)
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_8.setObjectName("label_8")
        self.gridLayout_4.addWidget(self.label_8, 0, 0, 1, 1)
        self.complexitySpinBox = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.complexitySpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.complexitySpinBox.setMaximum(100)
        self.complexitySpinBox.setProperty("value", 10)
        self.complexitySpinBox.setObjectName("complexitySpinBox")
        self.gridLayout_4.addWidget(self.complexitySpinBox, 0, 1, 1, 1)
        self.label_13 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_13.setObjectName("label_13")
        self.gridLayout_4.addWidget(self.label_13, 1, 0, 1, 1)
        self.lineComplexitySpinBox = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.lineComplexitySpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.lineComplexitySpinBox.setMaximum(100)
        self.lineComplexitySpinBox.setProperty("value", 15)
        self.lineComplexitySpinBox.setObjectName("lineComplexitySpinBox")
        self.gridLayout_4.addWidget(self.lineComplexitySpinBox, 1, 1, 1, 1)
        self.label_14 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_14.setObjectName("label_14")
        self.gridLayout_4.addWidget(self.label_14, 2, 0, 1, 1)
        self.lineComplexityScoreSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_3)
        self.lineComplexityScoreSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.lineComplexityScoreSpinBox.setMaximum(100)
        self.lineComplexityScoreSpinBox.setProperty("value", 10)
        self.lineComplexityScoreSpinBox.setObjectName("lineComplexityScoreSpinBox")
        self.gridLayout_4.addWidget(self.lineComplexityScoreSpinBox, 2, 1, 1, 1)
        self.verticalLayout_17.addWidget(self.groupBox_3)
        spacerItem8 = QtWidgets.QSpacerItem(20, 802, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_17.addItem(spacerItem8)
        self.optionsTabWidget.addTab(self.codeComplexityTab, "")
        self.typeAnnotationsTab = QtWidgets.QWidget()
        self.typeAnnotationsTab.setObjectName("typeAnnotationsTab")
        self.verticalLayout_18 = QtWidgets.QVBoxLayout(self.typeAnnotationsTab)
        self.verticalLayout_18.setObjectName("verticalLayout_18")
        self.groupBox_10 = QtWidgets.QGroupBox(parent=self.typeAnnotationsTab)
        self.groupBox_10.setObjectName("groupBox_10")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.groupBox_10)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.gridLayout_6 = QtWidgets.QGridLayout()
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.label_18 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_18.setObjectName("label_18")
        self.gridLayout_6.addWidget(self.label_18, 0, 0, 1, 1)
        self.minAnnotationsCoverageSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_10)
        self.minAnnotationsCoverageSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.minAnnotationsCoverageSpinBox.setMaximum(100)
        self.minAnnotationsCoverageSpinBox.setObjectName("minAnnotationsCoverageSpinBox")
        self.gridLayout_6.addWidget(self.minAnnotationsCoverageSpinBox, 0, 1, 1, 1)
        spacerItem9 = QtWidgets.QSpacerItem(352, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_6.addItem(spacerItem9, 0, 2, 1, 1)
        self.label_19 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_19.setObjectName("label_19")
        self.gridLayout_6.addWidget(self.label_19, 1, 0, 1, 1)
        self.maxAnnotationsComplexitySpinBox = QtWidgets.QSpinBox(parent=self.groupBox_10)
        self.maxAnnotationsComplexitySpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.maxAnnotationsComplexitySpinBox.setMinimum(1)
        self.maxAnnotationsComplexitySpinBox.setMaximum(9)
        self.maxAnnotationsComplexitySpinBox.setObjectName("maxAnnotationsComplexitySpinBox")
        self.gridLayout_6.addWidget(self.maxAnnotationsComplexitySpinBox, 1, 1, 1, 1)
        self.label_32 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_32.setObjectName("label_32")
        self.gridLayout_6.addWidget(self.label_32, 2, 0, 1, 1)
        self.maxAnnotationsLengthSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_10)
        self.maxAnnotationsLengthSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.maxAnnotationsLengthSpinBox.setMinimum(1)
        self.maxAnnotationsLengthSpinBox.setMaximum(15)
        self.maxAnnotationsLengthSpinBox.setObjectName("maxAnnotationsLengthSpinBox")
        self.gridLayout_6.addWidget(self.maxAnnotationsLengthSpinBox, 2, 1, 1, 1)
        self.verticalLayout_3.addLayout(self.gridLayout_6)
        self.gridLayout_9 = QtWidgets.QGridLayout()
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.suppressDummyArgsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.suppressDummyArgsCheckBox.setObjectName("suppressDummyArgsCheckBox")
        self.gridLayout_9.addWidget(self.suppressDummyArgsCheckBox, 0, 1, 1, 1)
        self.allowUntypedDefsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.allowUntypedDefsCheckBox.setObjectName("allowUntypedDefsCheckBox")
        self.gridLayout_9.addWidget(self.allowUntypedDefsCheckBox, 1, 0, 1, 1)
        self.suppressNoneReturningCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.suppressNoneReturningCheckBox.setObjectName("suppressNoneReturningCheckBox")
        self.gridLayout_9.addWidget(self.suppressNoneReturningCheckBox, 0, 0, 1, 1)
        self.allowStarArgAnyCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.allowStarArgAnyCheckBox.setObjectName("allowStarArgAnyCheckBox")
        self.gridLayout_9.addWidget(self.allowStarArgAnyCheckBox, 2, 1, 1, 1)
        self.allowUntypedNestedCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.allowUntypedNestedCheckBox.setObjectName("allowUntypedNestedCheckBox")
        self.gridLayout_9.addWidget(self.allowUntypedNestedCheckBox, 1, 1, 1, 1)
        self.forceFutureAnnotationsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.forceFutureAnnotationsCheckBox.setObjectName("forceFutureAnnotationsCheckBox")
        self.gridLayout_9.addWidget(self.forceFutureAnnotationsCheckBox, 3, 0, 1, 1)
        self.simplifiedTypesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.simplifiedTypesCheckBox.setObjectName("simplifiedTypesCheckBox")
        self.gridLayout_9.addWidget(self.simplifiedTypesCheckBox, 3, 1, 1, 1)
        self.mypyInitReturnCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.mypyInitReturnCheckBox.setObjectName("mypyInitReturnCheckBox")
        self.gridLayout_9.addWidget(self.mypyInitReturnCheckBox, 2, 0, 1, 1)
        self.typeIgnoreCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_10)
        self.typeIgnoreCheckBox.setObjectName("typeIgnoreCheckBox")
        self.gridLayout_9.addWidget(self.typeIgnoreCheckBox, 4, 0, 1, 1)
        self.verticalLayout_3.addLayout(self.gridLayout_9)
        self.label_33 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_33.setObjectName("label_33")
        self.verticalLayout_3.addWidget(self.label_33)
        self.dispatchDecoratorEdit = QtWidgets.QLineEdit(parent=self.groupBox_10)
        self.dispatchDecoratorEdit.setClearButtonEnabled(True)
        self.dispatchDecoratorEdit.setObjectName("dispatchDecoratorEdit")
        self.verticalLayout_3.addWidget(self.dispatchDecoratorEdit)
        self.label_34 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_34.setObjectName("label_34")
        self.verticalLayout_3.addWidget(self.label_34)
        self.overloadDecoratorEdit = QtWidgets.QLineEdit(parent=self.groupBox_10)
        self.overloadDecoratorEdit.setClearButtonEnabled(True)
        self.overloadDecoratorEdit.setObjectName("overloadDecoratorEdit")
        self.verticalLayout_3.addWidget(self.overloadDecoratorEdit)
        self.label_38 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_38.setObjectName("label_38")
        self.verticalLayout_3.addWidget(self.label_38)
        self.exemptedTypingSymbolsEdit = QtWidgets.QLineEdit(parent=self.groupBox_10)
        self.exemptedTypingSymbolsEdit.setClearButtonEnabled(True)
        self.exemptedTypingSymbolsEdit.setObjectName("exemptedTypingSymbolsEdit")
        self.verticalLayout_3.addWidget(self.exemptedTypingSymbolsEdit)
        self.verticalLayout_18.addWidget(self.groupBox_10)
        spacerItem10 = QtWidgets.QSpacerItem(20, 596, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_18.addItem(spacerItem10)
        self.optionsTabWidget.addTab(self.typeAnnotationsTab, "")
        self.securityOptionsTab = QtWidgets.QWidget()
        self.securityOptionsTab.setObjectName("securityOptionsTab")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.securityOptionsTab)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.label_21 = QtWidgets.QLabel(parent=self.securityOptionsTab)
        self.label_21.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_21.setObjectName("label_21")
        self.gridLayout_7.addWidget(self.label_21, 0, 0, 1, 1)
        self.groupBox_11 = QtWidgets.QGroupBox(parent=self.securityOptionsTab)
        self.groupBox_11.setObjectName("groupBox_11")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.groupBox_11)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.groupBox_12 = QtWidgets.QGroupBox(parent=self.groupBox_11)
        self.groupBox_12.setObjectName("groupBox_12")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout(self.groupBox_12)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.label_24 = QtWidgets.QLabel(parent=self.groupBox_12)
        self.label_24.setObjectName("label_24")
        self.horizontalLayout_5.addWidget(self.label_24)
        self.dsaHighRiskCombo = QtWidgets.QComboBox(parent=self.groupBox_12)
        self.dsaHighRiskCombo.setEditable(False)
        self.dsaHighRiskCombo.setObjectName("dsaHighRiskCombo")
        self.horizontalLayout_5.addWidget(self.dsaHighRiskCombo)
        self.label_25 = QtWidgets.QLabel(parent=self.groupBox_12)
        self.label_25.setObjectName("label_25")
        self.horizontalLayout_5.addWidget(self.label_25)
        self.dsaMediumRiskCombo = QtWidgets.QComboBox(parent=self.groupBox_12)
        self.dsaMediumRiskCombo.setEditable(False)
        self.dsaMediumRiskCombo.setObjectName("dsaMediumRiskCombo")
        self.horizontalLayout_5.addWidget(self.dsaMediumRiskCombo)
        spacerItem11 = QtWidgets.QSpacerItem(324, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem11)
        self.verticalLayout_10.addWidget(self.groupBox_12)
        self.groupBox_13 = QtWidgets.QGroupBox(parent=self.groupBox_11)
        self.groupBox_13.setObjectName("groupBox_13")
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout(self.groupBox_13)
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.label_26 = QtWidgets.QLabel(parent=self.groupBox_13)
        self.label_26.setObjectName("label_26")
        self.horizontalLayout_9.addWidget(self.label_26)
        self.rsaHighRiskCombo = QtWidgets.QComboBox(parent=self.groupBox_13)
        self.rsaHighRiskCombo.setEditable(False)
        self.rsaHighRiskCombo.setObjectName("rsaHighRiskCombo")
        self.horizontalLayout_9.addWidget(self.rsaHighRiskCombo)
        self.label_27 = QtWidgets.QLabel(parent=self.groupBox_13)
        self.label_27.setObjectName("label_27")
        self.horizontalLayout_9.addWidget(self.label_27)
        self.rsaMediumRiskCombo = QtWidgets.QComboBox(parent=self.groupBox_13)
        self.rsaMediumRiskCombo.setEditable(False)
        self.rsaMediumRiskCombo.setObjectName("rsaMediumRiskCombo")
        self.horizontalLayout_9.addWidget(self.rsaMediumRiskCombo)
        spacerItem12 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_9.addItem(spacerItem12)
        self.verticalLayout_10.addWidget(self.groupBox_13)
        self.groupBox_14 = QtWidgets.QGroupBox(parent=self.groupBox_11)
        self.groupBox_14.setObjectName("groupBox_14")
        self.horizontalLayout_10 = QtWidgets.QHBoxLayout(self.groupBox_14)
        self.horizontalLayout_10.setObjectName("horizontalLayout_10")
        self.label_28 = QtWidgets.QLabel(parent=self.groupBox_14)
        self.label_28.setObjectName("label_28")
        self.horizontalLayout_10.addWidget(self.label_28)
        self.ecHighRiskCombo = QtWidgets.QComboBox(parent=self.groupBox_14)
        self.ecHighRiskCombo.setEditable(False)
        self.ecHighRiskCombo.setObjectName("ecHighRiskCombo")
        self.horizontalLayout_10.addWidget(self.ecHighRiskCombo)
        self.label_29 = QtWidgets.QLabel(parent=self.groupBox_14)
        self.label_29.setObjectName("label_29")
        self.horizontalLayout_10.addWidget(self.label_29)
        self.ecMediumRiskCombo = QtWidgets.QComboBox(parent=self.groupBox_14)
        self.ecMediumRiskCombo.setEditable(False)
        self.ecMediumRiskCombo.setObjectName("ecMediumRiskCombo")
        self.horizontalLayout_10.addWidget(self.ecMediumRiskCombo)
        spacerItem13 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_10.addItem(spacerItem13)
        self.verticalLayout_10.addWidget(self.groupBox_14)
        self.gridLayout_7.addWidget(self.groupBox_11, 3, 0, 1, 2)
        self.insecureSslProtocolsEdit = QtWidgets.QPlainTextEdit(parent=self.securityOptionsTab)
        self.insecureSslProtocolsEdit.setObjectName("insecureSslProtocolsEdit")
        self.gridLayout_7.addWidget(self.insecureSslProtocolsEdit, 2, 1, 1, 1)
        self.label_23 = QtWidgets.QLabel(parent=self.securityOptionsTab)
        self.label_23.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_23.setObjectName("label_23")
        self.gridLayout_7.addWidget(self.label_23, 2, 0, 1, 1)
        self.label_22 = QtWidgets.QLabel(parent=self.securityOptionsTab)
        self.label_22.setObjectName("label_22")
        self.gridLayout_7.addWidget(self.label_22, 1, 0, 1, 1)
        self.hashesEdit = QtWidgets.QLineEdit(parent=self.securityOptionsTab)
        self.hashesEdit.setClearButtonEnabled(True)
        self.hashesEdit.setObjectName("hashesEdit")
        self.gridLayout_7.addWidget(self.hashesEdit, 1, 1, 1, 1)
        self.typedExceptionsCheckBox = QtWidgets.QCheckBox(parent=self.securityOptionsTab)
        self.typedExceptionsCheckBox.setObjectName("typedExceptionsCheckBox")
        self.gridLayout_7.addWidget(self.typedExceptionsCheckBox, 4, 0, 1, 2)
        self.tmpDirectoriesEdit = QtWidgets.QPlainTextEdit(parent=self.securityOptionsTab)
        self.tmpDirectoriesEdit.setObjectName("tmpDirectoriesEdit")
        self.gridLayout_7.addWidget(self.tmpDirectoriesEdit, 0, 1, 1, 1)
        self.optionsTabWidget.addTab(self.securityOptionsTab, "")
        self.importOptionsTab = QtWidgets.QWidget()
        self.importOptionsTab.setObjectName("importOptionsTab")
        self.verticalLayout_16 = QtWidgets.QVBoxLayout(self.importOptionsTab)
        self.verticalLayout_16.setObjectName("verticalLayout_16")
        self.groupBox_15 = QtWidgets.QGroupBox(parent=self.importOptionsTab)
        self.groupBox_15.setObjectName("groupBox_15")
        self.verticalLayout_14 = QtWidgets.QVBoxLayout(self.groupBox_15)
        self.verticalLayout_14.setObjectName("verticalLayout_14")
        self.label_35 = QtWidgets.QLabel(parent=self.groupBox_15)
        self.label_35.setWordWrap(True)
        self.label_35.setObjectName("label_35")
        self.verticalLayout_14.addWidget(self.label_35)
        self.appPackagesEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox_15)
        self.appPackagesEdit.setTabChangesFocus(True)
        self.appPackagesEdit.setObjectName("appPackagesEdit")
        self.verticalLayout_14.addWidget(self.appPackagesEdit)
        self.verticalLayout_16.addWidget(self.groupBox_15)
        self.groupBox_16 = QtWidgets.QGroupBox(parent=self.importOptionsTab)
        self.groupBox_16.setObjectName("groupBox_16")
        self.verticalLayout_15 = QtWidgets.QVBoxLayout(self.groupBox_16)
        self.verticalLayout_15.setObjectName("verticalLayout_15")
        self.label_36 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_36.setWordWrap(True)
        self.label_36.setObjectName("label_36")
        self.verticalLayout_15.addWidget(self.label_36)
        self.bannedModulesEdit = QtWidgets.QPlainTextEdit(parent=self.groupBox_16)
        self.bannedModulesEdit.setTabChangesFocus(True)
        self.bannedModulesEdit.setObjectName("bannedModulesEdit")
        self.verticalLayout_15.addWidget(self.bannedModulesEdit)
        self.verticalLayout_16.addWidget(self.groupBox_16)
        self.groupBox_17 = QtWidgets.QGroupBox(parent=self.importOptionsTab)
        self.groupBox_17.setObjectName("groupBox_17")
        self.horizontalLayout_12 = QtWidgets.QHBoxLayout(self.groupBox_17)
        self.horizontalLayout_12.setObjectName("horizontalLayout_12")
        self.allowAllButton = QtWidgets.QRadioButton(parent=self.groupBox_17)
        self.allowAllButton.setChecked(True)
        self.allowAllButton.setObjectName("allowAllButton")
        self.horizontalLayout_12.addWidget(self.allowAllButton)
        self.banParentsButton = QtWidgets.QRadioButton(parent=self.groupBox_17)
        self.banParentsButton.setObjectName("banParentsButton")
        self.horizontalLayout_12.addWidget(self.banParentsButton)
        self.banAllButton = QtWidgets.QRadioButton(parent=self.groupBox_17)
        self.banAllButton.setObjectName("banAllButton")
        self.horizontalLayout_12.addWidget(self.banAllButton)
        self.verticalLayout_16.addWidget(self.groupBox_17)
        spacerItem14 = QtWidgets.QSpacerItem(20, 737, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_16.addItem(spacerItem14)
        self.optionsTabWidget.addTab(self.importOptionsTab, "")
        self.nameOrderOptionsTab = QtWidgets.QWidget()
        self.nameOrderOptionsTab.setObjectName("nameOrderOptionsTab")
        self.verticalLayout_19 = QtWidgets.QVBoxLayout(self.nameOrderOptionsTab)
        self.verticalLayout_19.setObjectName("verticalLayout_19")
        self.groupBox_18 = QtWidgets.QGroupBox(parent=self.nameOrderOptionsTab)
        self.groupBox_18.setObjectName("groupBox_18")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.groupBox_18)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.label_37 = QtWidgets.QLabel(parent=self.groupBox_18)
        self.label_37.setObjectName("label_37")
        self.gridLayout_10.addWidget(self.label_37, 0, 0, 1, 1)
        self.sortOrderComboBox = QtWidgets.QComboBox(parent=self.groupBox_18)
        self.sortOrderComboBox.setObjectName("sortOrderComboBox")
        self.gridLayout_10.addWidget(self.sortOrderComboBox, 0, 1, 1, 1)
        self.sortIgnoreStyleCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_18)
        self.sortIgnoreStyleCheckBox.setObjectName("sortIgnoreStyleCheckBox")
        self.gridLayout_10.addWidget(self.sortIgnoreStyleCheckBox, 0, 2, 1, 1)
        spacerItem15 = QtWidgets.QSpacerItem(439, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_10.addItem(spacerItem15, 0, 3, 1, 1)
        self.sortCaseSensitiveCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_18)
        self.sortCaseSensitiveCheckBox.setObjectName("sortCaseSensitiveCheckBox")
        self.gridLayout_10.addWidget(self.sortCaseSensitiveCheckBox, 1, 0, 1, 2)
        self.verticalLayout_19.addWidget(self.groupBox_18)
        self.groupBox_19 = QtWidgets.QGroupBox(parent=self.nameOrderOptionsTab)
        self.groupBox_19.setObjectName("groupBox_19")
        self.horizontalLayout_13 = QtWidgets.QHBoxLayout(self.groupBox_19)
        self.horizontalLayout_13.setObjectName("horizontalLayout_13")
        self.sortFromFirstCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_19)
        self.sortFromFirstCheckBox.setObjectName("sortFromFirstCheckBox")
        self.horizontalLayout_13.addWidget(self.sortFromFirstCheckBox)
        self.combinedAsImpotsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_19)
        self.combinedAsImpotsCheckBox.setObjectName("combinedAsImpotsCheckBox")
        self.horizontalLayout_13.addWidget(self.combinedAsImpotsCheckBox)
        spacerItem16 = QtWidgets.QSpacerItem(313, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_13.addItem(spacerItem16)
        self.verticalLayout_19.addWidget(self.groupBox_19)
        spacerItem17 = QtWidgets.QSpacerItem(20, 365, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_19.addItem(spacerItem17)
        self.optionsTabWidget.addTab(self.nameOrderOptionsTab, "")
        self.unusedOptionsTab = QtWidgets.QWidget()
        self.unusedOptionsTab.setObjectName("unusedOptionsTab")
        self.verticalLayout_20 = QtWidgets.QVBoxLayout(self.unusedOptionsTab)
        self.verticalLayout_20.setObjectName("verticalLayout_20")
        self.groupBox_20 = QtWidgets.QGroupBox(parent=self.unusedOptionsTab)
        self.groupBox_20.setObjectName("groupBox_20")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.groupBox_20)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.ignoreAbstractCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreAbstractCheckBox.setObjectName("ignoreAbstractCheckBox")
        self.gridLayout_11.addWidget(self.ignoreAbstractCheckBox, 0, 0, 1, 1)
        self.ignoreOverloadCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreOverloadCheckBox.setObjectName("ignoreOverloadCheckBox")
        self.gridLayout_11.addWidget(self.ignoreOverloadCheckBox, 0, 1, 1, 1)
        self.ignoreOverrideCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreOverrideCheckBox.setObjectName("ignoreOverrideCheckBox")
        self.gridLayout_11.addWidget(self.ignoreOverrideCheckBox, 1, 0, 1, 1)
        self.ignoreStubsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreStubsCheckBox.setObjectName("ignoreStubsCheckBox")
        self.gridLayout_11.addWidget(self.ignoreStubsCheckBox, 1, 1, 1, 1)
        self.ignoreVariadicNamesCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreVariadicNamesCheckBox.setObjectName("ignoreVariadicNamesCheckBox")
        self.gridLayout_11.addWidget(self.ignoreVariadicNamesCheckBox, 2, 0, 1, 1)
        self.ignoreLambdasCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreLambdasCheckBox.setObjectName("ignoreLambdasCheckBox")
        self.gridLayout_11.addWidget(self.ignoreLambdasCheckBox, 2, 1, 1, 1)
        self.ignoreSlotsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreSlotsCheckBox.setObjectName("ignoreSlotsCheckBox")
        self.gridLayout_11.addWidget(self.ignoreSlotsCheckBox, 3, 0, 1, 1)
        self.ignoreEventHandlersCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreEventHandlersCheckBox.setObjectName("ignoreEventHandlersCheckBox")
        self.gridLayout_11.addWidget(self.ignoreEventHandlersCheckBox, 3, 1, 1, 1)
        self.ignoreDunderMethodsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreDunderMethodsCheckBox.setObjectName("ignoreDunderMethodsCheckBox")
        self.gridLayout_11.addWidget(self.ignoreDunderMethodsCheckBox, 4, 0, 1, 1)
        self.ignoreDunderGlobalsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreDunderGlobalsCheckBox.setObjectName("ignoreDunderGlobalsCheckBox")
        self.gridLayout_11.addWidget(self.ignoreDunderGlobalsCheckBox, 4, 1, 1, 1)
        self.ignoreNestedFunctionsCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_20)
        self.ignoreNestedFunctionsCheckBox.setObjectName("ignoreNestedFunctionsCheckBox")
        self.gridLayout_11.addWidget(self.ignoreNestedFunctionsCheckBox, 5, 0, 1, 1)
        self.verticalLayout_20.addWidget(self.groupBox_20)
        spacerItem18 = QtWidgets.QSpacerItem(20, 382, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_20.addItem(spacerItem18)
        self.optionsTabWidget.addTab(self.unusedOptionsTab, "")
        self.horizontalLayout_2.addWidget(self.optionsTabWidget)
        self.line = QtWidgets.QFrame(parent=self.configureTab)
        self.line.setLineWidth(2)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.horizontalLayout_2.addWidget(self.line)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.startButton = QtWidgets.QPushButton(parent=self.configureTab)
        self.startButton.setObjectName("startButton")
        self.verticalLayout.addWidget(self.startButton)
        spacerItem19 = QtWidgets.QSpacerItem(20, 18, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout.addItem(spacerItem19)
        self.loadDefaultButton = QtWidgets.QPushButton(parent=self.configureTab)
        self.loadDefaultButton.setObjectName("loadDefaultButton")
        self.verticalLayout.addWidget(self.loadDefaultButton)
        self.storeDefaultButton = QtWidgets.QPushButton(parent=self.configureTab)
        self.storeDefaultButton.setObjectName("storeDefaultButton")
        self.verticalLayout.addWidget(self.storeDefaultButton)
        self.resetDefaultButton = QtWidgets.QPushButton(parent=self.configureTab)
        self.resetDefaultButton.setObjectName("resetDefaultButton")
        self.verticalLayout.addWidget(self.resetDefaultButton)
        self.horizontalLayout_2.addLayout(self.verticalLayout)
        self.mainWidget.addTab(self.configureTab, "")
        self.progressTab = QtWidgets.QWidget()
        self.progressTab.setObjectName("progressTab")
        self.horizontalLayout_11 = QtWidgets.QHBoxLayout(self.progressTab)
        self.horizontalLayout_11.setObjectName("horizontalLayout_11")
        self.verticalLayout_12 = QtWidgets.QVBoxLayout()
        self.verticalLayout_12.setObjectName("verticalLayout_12")
        self.progressList = QtWidgets.QListWidget(parent=self.progressTab)
        self.progressList.setEditTriggers(QtWidgets.QAbstractItemView.EditTrigger.NoEditTriggers)
        self.progressList.setAlternatingRowColors(True)
        self.progressList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.progressList.setTextElideMode(QtCore.Qt.TextElideMode.ElideMiddle)
        self.progressList.setObjectName("progressList")
        self.verticalLayout_12.addWidget(self.progressList)
        self.checkProgress = QtWidgets.QProgressBar(parent=self.progressTab)
        self.checkProgress.setProperty("value", 0)
        self.checkProgress.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.checkProgress.setObjectName("checkProgress")
        self.verticalLayout_12.addWidget(self.checkProgress)
        self.horizontalLayout_11.addLayout(self.verticalLayout_12)
        self.line_3 = QtWidgets.QFrame(parent=self.progressTab)
        self.line_3.setLineWidth(2)
        self.line_3.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_3.setObjectName("line_3")
        self.horizontalLayout_11.addWidget(self.line_3)
        self.verticalLayout_11 = QtWidgets.QVBoxLayout()
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.cancelButton = QtWidgets.QPushButton(parent=self.progressTab)
        self.cancelButton.setObjectName("cancelButton")
        self.verticalLayout_11.addWidget(self.cancelButton)
        spacerItem20 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_11.addItem(spacerItem20)
        self.horizontalLayout_11.addLayout(self.verticalLayout_11)
        self.mainWidget.addTab(self.progressTab, "")
        self.resultsTab = QtWidgets.QWidget()
        self.resultsTab.setObjectName("resultsTab")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout(self.resultsTab)
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout()
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.securityNoteLabel = QtWidgets.QLabel(parent=self.resultsTab)
        self.securityNoteLabel.setObjectName("securityNoteLabel")
        self.verticalLayout_7.addWidget(self.securityNoteLabel)
        self.resultList = QtWidgets.QTreeWidget(parent=self.resultsTab)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(6)
        sizePolicy.setHeightForWidth(self.resultList.sizePolicy().hasHeightForWidth())
        self.resultList.setSizePolicy(sizePolicy)
        self.resultList.setAlternatingRowColors(True)
        self.resultList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.resultList.setExpandsOnDoubleClick(False)
        self.resultList.setObjectName("resultList")
        self.verticalLayout_7.addWidget(self.resultList)
        self.horizontalLayout_4.addLayout(self.verticalLayout_7)
        self.line_2 = QtWidgets.QFrame(parent=self.resultsTab)
        self.line_2.setLineWidth(2)
        self.line_2.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_2.setObjectName("line_2")
        self.horizontalLayout_4.addWidget(self.line_2)
        self.verticalLayout_8 = QtWidgets.QVBoxLayout()
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.restartButton = QtWidgets.QPushButton(parent=self.resultsTab)
        self.restartButton.setObjectName("restartButton")
        self.verticalLayout_8.addWidget(self.restartButton)
        self.fixButton = QtWidgets.QPushButton(parent=self.resultsTab)
        self.fixButton.setObjectName("fixButton")
        self.verticalLayout_8.addWidget(self.fixButton)
        self.line_4 = QtWidgets.QFrame(parent=self.resultsTab)
        self.line_4.setLineWidth(2)
        self.line_4.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line_4.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_4.setObjectName("line_4")
        self.verticalLayout_8.addWidget(self.line_4)
        self.showButton = QtWidgets.QPushButton(parent=self.resultsTab)
        self.showButton.setObjectName("showButton")
        self.verticalLayout_8.addWidget(self.showButton)
        self.statisticsButton = QtWidgets.QPushButton(parent=self.resultsTab)
        self.statisticsButton.setObjectName("statisticsButton")
        self.verticalLayout_8.addWidget(self.statisticsButton)
        self.line_5 = QtWidgets.QFrame(parent=self.resultsTab)
        self.line_5.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line_5.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line_5.setObjectName("line_5")
        self.verticalLayout_8.addWidget(self.line_5)
        self.label_31 = QtWidgets.QLabel(parent=self.resultsTab)
        self.label_31.setObjectName("label_31")
        self.verticalLayout_8.addWidget(self.label_31)
        self.filterComboBox = QtWidgets.QComboBox(parent=self.resultsTab)
        self.filterComboBox.setObjectName("filterComboBox")
        self.verticalLayout_8.addWidget(self.filterComboBox)
        self.filterButton = QtWidgets.QPushButton(parent=self.resultsTab)
        self.filterButton.setObjectName("filterButton")
        self.verticalLayout_8.addWidget(self.filterButton)
        spacerItem21 = QtWidgets.QSpacerItem(20, 18, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_8.addItem(spacerItem21)
        self.horizontalLayout_4.addLayout(self.verticalLayout_8)
        self.mainWidget.addTab(self.resultsTab, "")
        self.verticalLayout_13.addWidget(self.mainWidget)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CodeStyleCheckerDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_13.addWidget(self.buttonBox)

        self.retranslateUi(CodeStyleCheckerDialog)
        self.mainWidget.setCurrentIndex(0)
        self.optionsTabWidget.setCurrentIndex(0)
        self.repeatCheckBox.toggled['bool'].connect(self.fixIssuesCheckBox.setEnabled) # type: ignore
        self.repeatCheckBox.toggled['bool'].connect(self.ignoredCheckBox.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(CodeStyleCheckerDialog)
        CodeStyleCheckerDialog.setTabOrder(self.mainWidget, self.optionsTabWidget)
        CodeStyleCheckerDialog.setTabOrder(self.optionsTabWidget, self.categoriesList)
        CodeStyleCheckerDialog.setTabOrder(self.categoriesList, self.excludeFilesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.excludeFilesEdit, self.excludeMessagesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.excludeMessagesEdit, self.excludeMessagesSelectButton)
        CodeStyleCheckerDialog.setTabOrder(self.excludeMessagesSelectButton, self.includeMessagesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.includeMessagesEdit, self.includeMessagesSelectButton)
        CodeStyleCheckerDialog.setTabOrder(self.includeMessagesSelectButton, self.fixIssuesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.fixIssuesEdit, self.fixIssuesSelectButton)
        CodeStyleCheckerDialog.setTabOrder(self.fixIssuesSelectButton, self.noFixIssuesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.noFixIssuesEdit, self.noFixIssuesSelectButton)
        CodeStyleCheckerDialog.setTabOrder(self.noFixIssuesSelectButton, self.repeatCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.repeatCheckBox, self.fixIssuesCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.fixIssuesCheckBox, self.ignoredCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoredCheckBox, self.scrollArea)
        CodeStyleCheckerDialog.setTabOrder(self.scrollArea, self.lineLengthSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.lineLengthSpinBox, self.docLineLengthSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.docLineLengthSpinBox, self.blankBeforeTopLevelSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.blankBeforeTopLevelSpinBox, self.blankBeforeMethodSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.blankBeforeMethodSpinBox, self.hangClosingCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.hangClosingCheckBox, self.docTypeComboBox)
        CodeStyleCheckerDialog.setTabOrder(self.docTypeComboBox, self.encodingsEdit)
        CodeStyleCheckerDialog.setTabOrder(self.encodingsEdit, self.copyrightFileSizeSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.copyrightFileSizeSpinBox, self.copyrightAuthorEdit)
        CodeStyleCheckerDialog.setTabOrder(self.copyrightAuthorEdit, self.futuresList)
        CodeStyleCheckerDialog.setTabOrder(self.futuresList, self.builtinsAssignmentList)
        CodeStyleCheckerDialog.setTabOrder(self.builtinsAssignmentList, self.addBuiltinButton)
        CodeStyleCheckerDialog.setTabOrder(self.addBuiltinButton, self.deleteBuiltinButton)
        CodeStyleCheckerDialog.setTabOrder(self.deleteBuiltinButton, self.aggressiveCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.aggressiveCheckBox, self.whitelistWidget)
        CodeStyleCheckerDialog.setTabOrder(self.whitelistWidget, self.addWhitelistButton)
        CodeStyleCheckerDialog.setTabOrder(self.addWhitelistButton, self.deleteWhitelistButton)
        CodeStyleCheckerDialog.setTabOrder(self.deleteWhitelistButton, self.complexitySpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.complexitySpinBox, self.lineComplexitySpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.lineComplexitySpinBox, self.lineComplexityScoreSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.lineComplexityScoreSpinBox, self.minAnnotationsCoverageSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.minAnnotationsCoverageSpinBox, self.maxAnnotationsComplexitySpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.maxAnnotationsComplexitySpinBox, self.maxAnnotationsLengthSpinBox)
        CodeStyleCheckerDialog.setTabOrder(self.maxAnnotationsLengthSpinBox, self.suppressNoneReturningCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.suppressNoneReturningCheckBox, self.suppressDummyArgsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.suppressDummyArgsCheckBox, self.allowUntypedDefsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.allowUntypedDefsCheckBox, self.allowUntypedNestedCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.allowUntypedNestedCheckBox, self.mypyInitReturnCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.mypyInitReturnCheckBox, self.allowStarArgAnyCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.allowStarArgAnyCheckBox, self.forceFutureAnnotationsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.forceFutureAnnotationsCheckBox, self.simplifiedTypesCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.simplifiedTypesCheckBox, self.typeIgnoreCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.typeIgnoreCheckBox, self.dispatchDecoratorEdit)
        CodeStyleCheckerDialog.setTabOrder(self.dispatchDecoratorEdit, self.overloadDecoratorEdit)
        CodeStyleCheckerDialog.setTabOrder(self.overloadDecoratorEdit, self.exemptedTypingSymbolsEdit)
        CodeStyleCheckerDialog.setTabOrder(self.exemptedTypingSymbolsEdit, self.tmpDirectoriesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.tmpDirectoriesEdit, self.hashesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.hashesEdit, self.insecureSslProtocolsEdit)
        CodeStyleCheckerDialog.setTabOrder(self.insecureSslProtocolsEdit, self.dsaHighRiskCombo)
        CodeStyleCheckerDialog.setTabOrder(self.dsaHighRiskCombo, self.dsaMediumRiskCombo)
        CodeStyleCheckerDialog.setTabOrder(self.dsaMediumRiskCombo, self.rsaHighRiskCombo)
        CodeStyleCheckerDialog.setTabOrder(self.rsaHighRiskCombo, self.rsaMediumRiskCombo)
        CodeStyleCheckerDialog.setTabOrder(self.rsaMediumRiskCombo, self.ecHighRiskCombo)
        CodeStyleCheckerDialog.setTabOrder(self.ecHighRiskCombo, self.ecMediumRiskCombo)
        CodeStyleCheckerDialog.setTabOrder(self.ecMediumRiskCombo, self.typedExceptionsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.typedExceptionsCheckBox, self.appPackagesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.appPackagesEdit, self.bannedModulesEdit)
        CodeStyleCheckerDialog.setTabOrder(self.bannedModulesEdit, self.allowAllButton)
        CodeStyleCheckerDialog.setTabOrder(self.allowAllButton, self.banParentsButton)
        CodeStyleCheckerDialog.setTabOrder(self.banParentsButton, self.banAllButton)
        CodeStyleCheckerDialog.setTabOrder(self.banAllButton, self.sortOrderComboBox)
        CodeStyleCheckerDialog.setTabOrder(self.sortOrderComboBox, self.sortIgnoreStyleCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.sortIgnoreStyleCheckBox, self.sortCaseSensitiveCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.sortCaseSensitiveCheckBox, self.sortFromFirstCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.sortFromFirstCheckBox, self.combinedAsImpotsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.combinedAsImpotsCheckBox, self.ignoreAbstractCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreAbstractCheckBox, self.ignoreOverloadCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreOverloadCheckBox, self.ignoreOverrideCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreOverrideCheckBox, self.ignoreStubsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreStubsCheckBox, self.ignoreVariadicNamesCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreVariadicNamesCheckBox, self.ignoreLambdasCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreLambdasCheckBox, self.ignoreSlotsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreSlotsCheckBox, self.ignoreEventHandlersCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreEventHandlersCheckBox, self.ignoreDunderMethodsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreDunderMethodsCheckBox, self.ignoreDunderGlobalsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreDunderGlobalsCheckBox, self.ignoreNestedFunctionsCheckBox)
        CodeStyleCheckerDialog.setTabOrder(self.ignoreNestedFunctionsCheckBox, self.startButton)
        CodeStyleCheckerDialog.setTabOrder(self.startButton, self.loadDefaultButton)
        CodeStyleCheckerDialog.setTabOrder(self.loadDefaultButton, self.storeDefaultButton)
        CodeStyleCheckerDialog.setTabOrder(self.storeDefaultButton, self.resetDefaultButton)
        CodeStyleCheckerDialog.setTabOrder(self.resetDefaultButton, self.progressList)
        CodeStyleCheckerDialog.setTabOrder(self.progressList, self.cancelButton)
        CodeStyleCheckerDialog.setTabOrder(self.cancelButton, self.resultList)
        CodeStyleCheckerDialog.setTabOrder(self.resultList, self.restartButton)
        CodeStyleCheckerDialog.setTabOrder(self.restartButton, self.fixButton)
        CodeStyleCheckerDialog.setTabOrder(self.fixButton, self.showButton)
        CodeStyleCheckerDialog.setTabOrder(self.showButton, self.statisticsButton)
        CodeStyleCheckerDialog.setTabOrder(self.statisticsButton, self.filterComboBox)
        CodeStyleCheckerDialog.setTabOrder(self.filterComboBox, self.filterButton)

    def retranslateUi(self, CodeStyleCheckerDialog):
        _translate = QtCore.QCoreApplication.translate
        CodeStyleCheckerDialog.setWindowTitle(_translate("CodeStyleCheckerDialog", "Code Style Check"))
        self.label_20.setText(_translate("CodeStyleCheckerDialog", "Categories:"))
        self.categoriesList.setToolTip(_translate("CodeStyleCheckerDialog", "Select the categories of checks to be performed."))
        self.categoriesList.setSortingEnabled(True)
        self.label_2.setText(_translate("CodeStyleCheckerDialog", "Exclude Files:"))
        self.excludeFilesEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter filename patterns of files to be excluded separated by a comma"))
        self.label.setText(_translate("CodeStyleCheckerDialog", "Exclude Messages:"))
        self.excludeMessagesEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter message codes to be excluded separated by a comma"))
        self.excludeMessagesSelectButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to select the message codes from a list"))
        self.label_3.setText(_translate("CodeStyleCheckerDialog", "Included Messages:"))
        self.includeMessagesEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter message codes to be included separated by a comma"))
        self.includeMessagesSelectButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to select the message codes from a list"))
        self.label_4.setText(_translate("CodeStyleCheckerDialog", "Fix Issues:"))
        self.fixIssuesEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter message codes of issues to be fixed automatically (leave empty to fix all)"))
        self.fixIssuesSelectButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to select the message codes from a list"))
        self.label_6.setText(_translate("CodeStyleCheckerDialog", "Don\'t Fix Issues:"))
        self.noFixIssuesEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter message codes of issues not to be fixed automatically"))
        self.noFixIssuesSelectButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to select the message codes from a list"))
        self.repeatCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to repeat each message type"))
        self.repeatCheckBox.setText(_translate("CodeStyleCheckerDialog", "Repeat messages"))
        self.fixIssuesCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to fix some issues"))
        self.fixIssuesCheckBox.setText(_translate("CodeStyleCheckerDialog", "Fix issues automatically"))
        self.ignoredCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to show ignored issues"))
        self.ignoredCheckBox.setText(_translate("CodeStyleCheckerDialog", "Show ignored"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.globalOptionsTab), _translate("CodeStyleCheckerDialog", "Globals"))
        self.groupBox.setTitle(_translate("CodeStyleCheckerDialog", "Source Style"))
        self.label_5.setText(_translate("CodeStyleCheckerDialog", "Max. Line Length:"))
        self.lineLengthSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the maximum allowed line length (PEP-8: 79 characters)"))
        self.label_17.setText(_translate("CodeStyleCheckerDialog", "Max. Documentation Line Length:"))
        self.docLineLengthSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the maximum allowed line length (PEP-8: 79 characters)"))
        self.groupBox_8.setTitle(_translate("CodeStyleCheckerDialog", "Blank Lines Before"))
        self.label_15.setText(_translate("CodeStyleCheckerDialog", "Top Level Classes and Functions:"))
        self.blankBeforeTopLevelSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the number of blank lines before top level classes and functions"))
        self.label_16.setText(_translate("CodeStyleCheckerDialog", "Methods and Nested Classes and Functions:"))
        self.blankBeforeMethodSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the number of blank lines before methods and nested classes or functions"))
        self.hangClosingCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to allow hanging closing brackets"))
        self.hangClosingCheckBox.setText(_translate("CodeStyleCheckerDialog", "Allow hanging closing brackets"))
        self.groupBox_2.setTitle(_translate("CodeStyleCheckerDialog", "Documentation Style"))
        self.label_7.setText(_translate("CodeStyleCheckerDialog", "Docstring Type:"))
        self.docTypeComboBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select the rule set for docstrings"))
        self.groupBox_4.setTitle(_translate("CodeStyleCheckerDialog", "Coding Line"))
        self.label_9.setText(_translate("CodeStyleCheckerDialog", "Valid Encodings:"))
        self.encodingsEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter valid encodings separated by a comma (leave empty to use defaults)"))
        self.groupBox_5.setTitle(_translate("CodeStyleCheckerDialog", "Copyright"))
        self.label_10.setText(_translate("CodeStyleCheckerDialog", "Min. File Size:"))
        self.copyrightFileSizeSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the minimum size a file must have to be checked (0 for all files)"))
        self.label_11.setText(_translate("CodeStyleCheckerDialog", "Author:"))
        self.copyrightAuthorEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter a copyright author name to check for (leave empty to omit this check)"))
        self.groupBox_6.setTitle(_translate("CodeStyleCheckerDialog", "Future Imports"))
        self.label_12.setText(_translate("CodeStyleCheckerDialog", "Expected Imports:"))
        self.futuresList.setSortingEnabled(True)
        self.groupBox_7.setTitle(_translate("CodeStyleCheckerDialog", "Ignore Built-ins Assignment"))
        self.builtinsAssignmentList.setSortingEnabled(True)
        self.builtinsAssignmentList.headerItem().setText(0, _translate("CodeStyleCheckerDialog", "Left"))
        self.builtinsAssignmentList.headerItem().setText(1, _translate("CodeStyleCheckerDialog", "Right"))
        self.addBuiltinButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to add a built-in assignment to be ignored"))
        self.deleteBuiltinButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to delete the selected entries"))
        self.groupBox_9.setTitle(_translate("CodeStyleCheckerDialog", "Commented Code"))
        self.aggressiveCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to search for commented code more aggressively. This may increase the number of false positives."))
        self.aggressiveCheckBox.setText(_translate("CodeStyleCheckerDialog", "Search aggressively"))
        self.label_30.setText(_translate("CodeStyleCheckerDialog", "Whitelist:"))
        self.addWhitelistButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to add a commented code whitelist pattern"))
        self.deleteWhitelistButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to delete the selected entries"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.specificOptionsTab), _translate("CodeStyleCheckerDialog", "Specifics"))
        self.groupBox_3.setTitle(_translate("CodeStyleCheckerDialog", "Code Complexity"))
        self.label_8.setText(_translate("CodeStyleCheckerDialog", "Max. McCabe Complexity:"))
        self.complexitySpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the maximum allowed code complexity (McCabe: 10)"))
        self.label_13.setText(_translate("CodeStyleCheckerDialog", "Max. Line Complexity:"))
        self.lineComplexitySpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the maximum complexity (number of nodes) for a line of code"))
        self.label_14.setText(_translate("CodeStyleCheckerDialog", "Max. Line Complexity Score:"))
        self.lineComplexityScoreSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the maximum allowed median for line complexity"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.codeComplexityTab), _translate("CodeStyleCheckerDialog", "Complexity"))
        self.groupBox_10.setTitle(_translate("CodeStyleCheckerDialog", "Type Annotations"))
        self.label_18.setText(_translate("CodeStyleCheckerDialog", "Min. Coverage:"))
        self.minAnnotationsCoverageSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the minimum percentage of type annotations"))
        self.minAnnotationsCoverageSpinBox.setSpecialValueText(_translate("CodeStyleCheckerDialog", "off"))
        self.minAnnotationsCoverageSpinBox.setSuffix(_translate("CodeStyleCheckerDialog", "%"))
        self.label_19.setText(_translate("CodeStyleCheckerDialog", "Max. Complexity:"))
        self.maxAnnotationsComplexitySpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the maximum type annotation complexity"))
        self.label_32.setText(_translate("CodeStyleCheckerDialog", "Max. Length:"))
        self.maxAnnotationsLengthSpinBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the maximum type annotation length"))
        self.suppressDummyArgsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to not report dummy (i.e. \'_\') arguments"))
        self.suppressDummyArgsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Suppress Dummy Arguments"))
        self.allowUntypedDefsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to not report dynamically typed functions"))
        self.allowUntypedDefsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Allow Untyped Functions"))
        self.suppressNoneReturningCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to not report functions without returns or with only bare returns"))
        self.suppressNoneReturningCheckBox.setText(_translate("CodeStyleCheckerDialog", "Suppress \'None\' return"))
        self.allowStarArgAnyCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Allow dynamically typed *args and **kwargs"))
        self.allowStarArgAnyCheckBox.setText(_translate("CodeStyleCheckerDialog", "Allow dynamically typed * Arguments"))
        self.allowUntypedNestedCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to not report dynamically typed nested functions"))
        self.allowUntypedNestedCheckBox.setText(_translate("CodeStyleCheckerDialog", "Allow Untyped Nested Functions"))
        self.forceFutureAnnotationsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Enforce the presence of a \'from __future__ import annotations\' statement"))
        self.forceFutureAnnotationsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Enforce \'__future__\' statement"))
        self.simplifiedTypesCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Verifies &lt;3.10 code with simplified types uses \'from __future__ import annotations\'."))
        self.simplifiedTypesCheckBox.setText(_translate("CodeStyleCheckerDialog", "Check use of simplified types"))
        self.mypyInitReturnCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to not report unhinted \'__init__\' return"))
        self.mypyInitReturnCheckBox.setText(_translate("CodeStyleCheckerDialog", "Allow Untyped \'__init__\' function"))
        self.typeIgnoreCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to supress errors for functions annotated with a \'type: ignore\' comment."))
        self.typeIgnoreCheckBox.setText(_translate("CodeStyleCheckerDialog", "Respect \'type: ignore\' comments"))
        self.label_33.setText(_translate("CodeStyleCheckerDialog", "Dispatch Decorators:"))
        self.dispatchDecoratorEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the list of dispatch decorators separated by comma"))
        self.label_34.setText(_translate("CodeStyleCheckerDialog", "Overload Decorators:"))
        self.overloadDecoratorEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the list of typing.overload decorators separated by comma"))
        self.label_38.setText(_translate("CodeStyleCheckerDialog", "Exempted \'typing\' symbols:"))
        self.exemptedTypingSymbolsEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter deprecated symbols of the \'typing\' module exempted from PEP-585 checking separated by space"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.typeAnnotationsTab), _translate("CodeStyleCheckerDialog", "Annotations"))
        self.label_21.setText(_translate("CodeStyleCheckerDialog", "Hardcoded \'tmp\' Directories:"))
        self.groupBox_11.setTitle(_translate("CodeStyleCheckerDialog", "Weak Cryptographic Keys"))
        self.groupBox_12.setTitle(_translate("CodeStyleCheckerDialog", "DSA"))
        self.label_24.setText(_translate("CodeStyleCheckerDialog", "High Risk:"))
        self.dsaHighRiskCombo.setToolTip(_translate("CodeStyleCheckerDialog", "Select the bit length below which a DSA key is to be considered very weak"))
        self.label_25.setText(_translate("CodeStyleCheckerDialog", "Medium Risk:"))
        self.dsaMediumRiskCombo.setToolTip(_translate("CodeStyleCheckerDialog", "Select the bit length below which a DSA key is to be considered weak"))
        self.groupBox_13.setTitle(_translate("CodeStyleCheckerDialog", "RSA"))
        self.label_26.setText(_translate("CodeStyleCheckerDialog", "High Risk:"))
        self.rsaHighRiskCombo.setToolTip(_translate("CodeStyleCheckerDialog", "Select the bit length below which a RSA key is to be considered very weak"))
        self.label_27.setText(_translate("CodeStyleCheckerDialog", "Medium Risk:"))
        self.rsaMediumRiskCombo.setToolTip(_translate("CodeStyleCheckerDialog", "Select the bit length below which a RSA key is to be considered weak"))
        self.groupBox_14.setTitle(_translate("CodeStyleCheckerDialog", "Elliptic Curves"))
        self.label_28.setText(_translate("CodeStyleCheckerDialog", "High Risk:"))
        self.ecHighRiskCombo.setToolTip(_translate("CodeStyleCheckerDialog", "Select the bit length below which an Elliptic Curve is to be considered very weak"))
        self.label_29.setText(_translate("CodeStyleCheckerDialog", "Medium Risk:"))
        self.ecMediumRiskCombo.setToolTip(_translate("CodeStyleCheckerDialog", "Select the bit length below which an Elliptic Curve is to be considered weak"))
        self.insecureSslProtocolsEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter the names of insecure SSL protocols and methods (one per line)"))
        self.label_23.setText(_translate("CodeStyleCheckerDialog", "Insecure SSL Protocols:"))
        self.label_22.setText(_translate("CodeStyleCheckerDialog", "Insecure Hashes:"))
        self.hashesEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter a list of hash methods to be considered insecure separated by comma"))
        self.typedExceptionsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to also check for insecure exception handling for typed exceptions"))
        self.typedExceptionsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Check Typed Exceptions"))
        self.tmpDirectoriesEdit.setToolTip(_translate("CodeStyleCheckerDialog", "Enter directory names (one per line) to be checked for"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.securityOptionsTab), _translate("CodeStyleCheckerDialog", "Security"))
        self.groupBox_15.setTitle(_translate("CodeStyleCheckerDialog", "Application Packages"))
        self.label_35.setText(_translate("CodeStyleCheckerDialog", "Enter top level application package names separated by a space character:"))
        self.groupBox_16.setTitle(_translate("CodeStyleCheckerDialog", "Banned Modules"))
        self.label_36.setText(_translate("CodeStyleCheckerDialog", "Enter the name of modules to be banned separated by a space character:"))
        self.groupBox_17.setTitle(_translate("CodeStyleCheckerDialog", "Ban Relative Imports"))
        self.allowAllButton.setToolTip(_translate("CodeStyleCheckerDialog", "Select to allow relative imports"))
        self.allowAllButton.setText(_translate("CodeStyleCheckerDialog", "Allow"))
        self.banParentsButton.setToolTip(_translate("CodeStyleCheckerDialog", "Select to ban relative imports of parents"))
        self.banParentsButton.setText(_translate("CodeStyleCheckerDialog", "Ban Parents Import"))
        self.banAllButton.setToolTip(_translate("CodeStyleCheckerDialog", "Select to ban all relative imports"))
        self.banAllButton.setText(_translate("CodeStyleCheckerDialog", "Ban All"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.importOptionsTab), _translate("CodeStyleCheckerDialog", "Imports"))
        self.groupBox_18.setTitle(_translate("CodeStyleCheckerDialog", "Name Sorting"))
        self.label_37.setText(_translate("CodeStyleCheckerDialog", "Sort Order:"))
        self.sortOrderComboBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select the sort order"))
        self.sortIgnoreStyleCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to sort the imports by module, independent of import style"))
        self.sortIgnoreStyleCheckBox.setText(_translate("CodeStyleCheckerDialog", "Sort Ignoring Style"))
        self.sortCaseSensitiveCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to sort imports observing the case"))
        self.sortCaseSensitiveCheckBox.setText(_translate("CodeStyleCheckerDialog", "Sort Case Sensitively"))
        self.groupBox_19.setTitle(_translate("CodeStyleCheckerDialog", "Imports Sorting"))
        self.sortFromFirstCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to place from imports first then straight ones"))
        self.sortFromFirstCheckBox.setText(_translate("CodeStyleCheckerDialog", "Sort From First"))
        self.combinedAsImpotsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select to allow combined as imports (e.g. from foo import bar, baz as bas)"))
        self.combinedAsImpotsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Combined As Imports"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.nameOrderOptionsTab), _translate("CodeStyleCheckerDialog", "Name Order"))
        self.groupBox_20.setTitle(_translate("CodeStyleCheckerDialog", "Ignore Warnings For"))
        self.ignoreAbstractCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for methods decorated with \'@abstractmethod\'."))
        self.ignoreAbstractCheckBox.setText(_translate("CodeStyleCheckerDialog", "Abstract Methods"))
        self.ignoreOverloadCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for methods decorated with \'@overload\'."))
        self.ignoreOverloadCheckBox.setText(_translate("CodeStyleCheckerDialog", "Overload Methods"))
        self.ignoreOverrideCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for methods decorated with \'@override\'."))
        self.ignoreOverrideCheckBox.setText(_translate("CodeStyleCheckerDialog", "Override Methods"))
        self.ignoreStubsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for methods consisting of a pass statement only."))
        self.ignoreStubsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Stub Methods"))
        self.ignoreVariadicNamesCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused *args and **kwargs."))
        self.ignoreVariadicNamesCheckBox.setText(_translate("CodeStyleCheckerDialog", "*args and **kwargs"))
        self.ignoreLambdasCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for lambda functions."))
        self.ignoreLambdasCheckBox.setText(_translate("CodeStyleCheckerDialog", "Lambda Functions"))
        self.ignoreSlotsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for methods decorated with \'@pyqtSlot\' or \'@Slot\'."))
        self.ignoreSlotsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Qt Slot Methods"))
        self.ignoreEventHandlersCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for Qt event handler methods."))
        self.ignoreEventHandlersCheckBox.setText(_translate("CodeStyleCheckerDialog", "Qt Event Handler Methods"))
        self.ignoreDunderMethodsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for methods starting and ending with double underscores."))
        self.ignoreDunderMethodsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Special Methods"))
        self.ignoreDunderGlobalsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused global variables starting and ending with double underscores."))
        self.ignoreDunderGlobalsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Special Global Variables"))
        self.ignoreNestedFunctionsCheckBox.setToolTip(_translate("CodeStyleCheckerDialog", "Ignore unused arguments for nested functions."))
        self.ignoreNestedFunctionsCheckBox.setText(_translate("CodeStyleCheckerDialog", "Nested Functions"))
        self.optionsTabWidget.setTabText(self.optionsTabWidget.indexOf(self.unusedOptionsTab), _translate("CodeStyleCheckerDialog", "Unused"))
        self.startButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to start the code style check run"))
        self.startButton.setText(_translate("CodeStyleCheckerDialog", "&Start"))
        self.loadDefaultButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to load the default values"))
        self.loadDefaultButton.setText(_translate("CodeStyleCheckerDialog", "&Load Defaults"))
        self.storeDefaultButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to store the current values as defaults"))
        self.storeDefaultButton.setText(_translate("CodeStyleCheckerDialog", "St&ore Defaults"))
        self.resetDefaultButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to reset the default values"))
        self.resetDefaultButton.setText(_translate("CodeStyleCheckerDialog", "&Reset Defaults"))
        self.mainWidget.setTabText(self.mainWidget.indexOf(self.configureTab), _translate("CodeStyleCheckerDialog", "Configure"))
        self.progressList.setToolTip(_translate("CodeStyleCheckerDialog", "Shows the list of files still to be checked"))
        self.progressList.setSortingEnabled(True)
        self.checkProgress.setToolTip(_translate("CodeStyleCheckerDialog", "Shows the progress of the code style check"))
        self.checkProgress.setFormat(_translate("CodeStyleCheckerDialog", "%v/%m Files"))
        self.cancelButton.setText(_translate("CodeStyleCheckerDialog", "Cancel"))
        self.mainWidget.setTabText(self.mainWidget.indexOf(self.progressTab), _translate("CodeStyleCheckerDialog", "Progress"))
        self.securityNoteLabel.setText(_translate("CodeStyleCheckerDialog", "<b>Note:</b> Mark reviewed security issues with a \"<b>#  secok</b>\" comment."))
        self.resultList.setWhatsThis(_translate("CodeStyleCheckerDialog", "<b>Result List</b>\n"
"<p>This list shows the results of the code style check. Double clicking\n"
"an entry will open this entry in an editor window and position the cursor at\n"
"the respective line and position.</p>"))
        self.resultList.setSortingEnabled(True)
        self.resultList.headerItem().setText(0, _translate("CodeStyleCheckerDialog", "File/Line"))
        self.resultList.headerItem().setText(1, _translate("CodeStyleCheckerDialog", "Code"))
        self.resultList.headerItem().setText(2, _translate("CodeStyleCheckerDialog", "Message"))
        self.restartButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to restart the code style check run"))
        self.restartButton.setText(_translate("CodeStyleCheckerDialog", "Restart"))
        self.fixButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to fix the selected issues"))
        self.fixButton.setText(_translate("CodeStyleCheckerDialog", "&Fix Selected"))
        self.showButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to show all files containing an issue"))
        self.showButton.setText(_translate("CodeStyleCheckerDialog", "Show"))
        self.statisticsButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to show some statistics for the last run"))
        self.statisticsButton.setText(_translate("CodeStyleCheckerDialog", "Statistics..."))
        self.label_31.setText(_translate("CodeStyleCheckerDialog", "Code Filter:"))
        self.filterComboBox.setToolTip(_translate("CodeStyleCheckerDialog", "Select the message code to be shown (empty for all)"))
        self.filterButton.setToolTip(_translate("CodeStyleCheckerDialog", "Press to filter the list of messages"))
        self.filterButton.setText(_translate("CodeStyleCheckerDialog", "Filter"))
        self.mainWidget.setTabText(self.mainWidget.indexOf(self.resultsTab), _translate("CodeStyleCheckerDialog", "Results"))
